using Hncore.Infrastructure.Common;
using System.Xml;
using System.Xml.Serialization;

namespace Hncore.Pass.PaymentCenter.WxPay.WechatJsPay
{
    /// <summary>
    /// 微信小程序、公众号支付
    /// </summary>
    [XmlRoot("xml", Namespace = "")]
    public class WxJsPayOrderQueryRequest : WxJsPayDataBase
    {        
        [XmlElement("transaction_id")]
        public string TransactionId { get; set; }
        
        /// <summary>
        /// 公众账号或小程序ID
        /// </summary>
        [XmlElement("appid")]
        public string AppId { get; set; }

        /// <summary>
        /// 公众账号或小程序ID
        /// </summary>
        [XmlElement("mch_id")]
        public string MchId { get; set; }

        /// <summary>
        /// 随机字符串
        /// </summary>
        [XmlElement("nonce_str")]
        public string NonceStr { get; set; }

        public WxJsPayOrderQueryRequest()
        {
            this.NonceStr =this.GenerateNonceStr();
        }
    }
}